//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "dockfrm.h"
//---------------------------------------------------------------------------
#pragma link "dockbar"
#pragma resource "*.dfm"
TForm2 *Form2;
//---------------------------------------------------------------------------
__fastcall TForm2::TForm2(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm2::FormCreate(TObject *Sender)
{
  ComboBox3->Items->Add("ctSmall");
  Panel1->Align = alClient;
  ComboBox1->ItemIndex = 0;
  ComboBox2->ItemIndex = 1;
  ComboBox3->ItemIndex = 1;
  ComboBox4->ItemIndex = 0;
  ComboBox5->ItemIndex = 0;
}
//---------------------------------------------------------------------------
void __fastcall TForm2::DockedClick(TObject *Sender)
{
  DocPanel1->Docked = Docked->Checked;
}
//---------------------------------------------------------------------------
void __fastcall TForm2::DocPanel1DockChanged(TObject *Sender)
{
  Docked->Checked = DocPanel1->Docked;
}
//---------------------------------------------------------------------------
void __fastcall TForm2::Button1Click(TObject *Sender)
{
  DocPanel1->Visible = !DocPanel1->Visible;
}
//---------------------------------------------------------------------------
void __fastcall TForm2::ComboBox1Change(TObject *Sender)
{
  switch (ComboBox1->ItemIndex){
    case 0 :
             DocPanel1->FloatBorder = fbSingle;
             break;
    case 1 :
    default:
             DocPanel1->FloatBorder = fbSizeable;
             break;
  };
}
//---------------------------------------------------------------------------
void __fastcall TForm2::ComboBox2Change(TObject *Sender)
{
  switch (ComboBox2->ItemIndex){
    case 0 : DocPanel1->DockingMethod = dmBoth;
             break;
    case 1 : DocPanel1->DockingMethod = dmDblClick;
             break;
    case 3 : DocPanel1->DockingMethod = dmNone;
             break;
    case 2 :
    default:
             DocPanel1->DockingMethod = dmDrag;
             break;
  };
}
//---------------------------------------------------------------------------
void __fastcall TForm2::ComboBox3Change(TObject *Sender)
{
  switch (ComboBox3->ItemIndex){
    case 0 : DocPanel1->CaptionType = ctCustom;
             break;
    case 1 : DocPanel1->CaptionType = ctNot3x;
             break;
    case 2 : DocPanel1->CaptionType = ctWindows;
             break;
    case 3 :
    default:
             DocPanel1->CaptionType = ctSmall;
             break;
  };
}
//---------------------------------------------------------------------------
void __fastcall TForm2::CheckBox1Click(TObject *Sender)
{
  DocPanel1->AutoHide = CheckBox1->Checked;
  CheckBox4->Checked = DocPanel1->DropDown;
}
//---------------------------------------------------------------------------
void __fastcall TForm2::ComboBox4Change(TObject *Sender)
{
  switch (ComboBox4->ItemIndex){
    case 1 : DocPanel1->Arrangement = amNone;
             break;
    case 2 : DocPanel1->Arrangement = amWidth;
             break;
    case 0 :
    default:
             DocPanel1->Arrangement = amAuto;
             break;
  };
}
//---------------------------------------------------------------------------
void __fastcall TForm2::leftClick(TObject *Sender)
{
  TDockSides tmp;
  switch (DocPanel1->Align){
    case alLeft :
         left->Checked = true;
         break;
    case alRight :
         right->Checked = true;
         break;
    case alTop :
         top->Checked = true;
         break;
    case alBottom :
         bottom->Checked = true;
         break;
  };
  tmp.Clear();
  if (left->Checked)
     tmp << dsLeft;
  if (right->Checked)
     tmp << dsRight;
  if (top->Checked)
     tmp << dsTop;
  if (bottom->Checked)
     tmp << dsBottom;
  DocPanel1->DockingSides = tmp;
}
//---------------------------------------------------------------------------
void __fastcall TForm2::CheckBox2Click(TObject *Sender)
{
  DocPanel1->MaxWidthRestore = CheckBox2->Checked;
}
//---------------------------------------------------------------------------
void __fastcall TForm2::Edit1Change(TObject *Sender)
{
  DocPanel1->MaxWidth = atoi(Edit1->Text.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TForm2::BitBtn1Click(TObject *Sender)
{
  FontDialog1->Font = DocPanel1->TitleFont;
  if (FontDialog1->Execute())
     DocPanel1->TitleFont = FontDialog1->Font;
}
//---------------------------------------------------------------------------
void __fastcall TForm2::ComboBox5Change(TObject *Sender)
{
  switch (ComboBox5->ItemIndex){
    case 0 : DocPanel1->DockFrame = dfInner;
             break;
    case 1 :
    default:
             DocPanel1->DockFrame = dfOuter;
             break;
  };
}
//---------------------------------------------------------------------------
void __fastcall TForm2::SpeedButton1Click(TObject *Sender)
{
  int i;
  DocPanel1->PrepareForChange();
  try{
    for (i = 0; i < DocPanel1->ControlCount; i++)
        if (i % 2)
           DocPanel1->Controls[i]->Visible = !DocPanel1->Controls[i]->Visible;
  }
  catch(...){
    DocPanel1->DoneChange();
    throw;
  };
  DocPanel1->DoneChange();
}
//---------------------------------------------------------------------------
void __fastcall TForm2::CheckBox3Click(TObject *Sender)
{
  DocPanel1->NotificationCursor = CheckBox3->Checked;
}
//---------------------------------------------------------------------------
void __fastcall TForm2::CheckBox4Click(TObject *Sender)
{
  DocPanel1->DropDown = CheckBox4->Checked;
  CheckBox1->Checked = DocPanel1->AutoHide;
}
//---------------------------------------------------------------------------
void __fastcall TForm2::shrinkClick(TObject *Sender)
{
  DocPanel1->Shrink = shrink->Checked;
}
//---------------------------------------------------------------------------
